geode-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kirk Lund <kirk.l...@gmail.com>
Subject Re: Review Request 56520: GEODE-2460: update dependency versions
Date Fri, 10 Feb 2017 23:16:27 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/56520/
-----------------------------------------------------------

(Updated Feb. 10, 2017, 11:16 p.m.)


Review request for geode, Anthony Baker, anilkumar gingade, Bruce Schuchardt, Darrel Schneider,
Hitesh Khamesra, Jacob Barrett, Jens Deppe, Jinmei Liao, Jared Stewart, Kevin Duling, Udo
Kohlmeyer, and Dan Smith.


Changes
-------

Passed uiTest target. Updated fields.


Summary (updated)
-----------------

GEODE-2460: update dependency versions


Bugs: GEODE-2460
    https://issues.apache.org/jira/browse/GEODE-2460


Repository: geode


Description
-------

GEODE-2460: update dependency versions

Update several dependencies so that geode develop uses the latest version.

These changes fully pass precheckin. Please let me know which dependencies should NOT be updated
for any reason and I'll retest with a list of dependencies that it's ok to update and file
appropriate Jira ticket(s).

If you see any dependencies changed in the diff that require me to run any tests not in precheckin,
please let me know either in review or direct message.

[EDIT: I just added the following list categories by test vs main]

Update the following dependency versions defined in
gradle/dependency-versions.properties.

Update major versions (compile test only):

* org.apache.bcel:bcel:6.0

Update minor versions (distributed in release):

* commons-beanutils:1.9.3 
* commons-fileupload:1.3.2 
* commons-io:2.5 
* commons-lang:2.6
* commons-logging:1.2
* commons-modeler:2.0.1
* fastutil:7.0.13
* guava:21.0
* jansi:1.14
* javax.mail-api:1.4.7
* jline:2.14.3
* jopt-simple:5.0.3
* log4j-api:2.7
* log4j-core:2.7
* log4j-jcl:2.7
* log4j-jul:2.7
* log4j-slf4j-impl:2.7
* netty-all:4.1.7.Final
* shiro-core:1.3.2
* slf4j-api:1.7.22

Update minor versions (compile tests and main):

* assertj-core:3.6.2
* cglib:cglib:3.2.4
* commons-configuration:1.10
* derby:10.13.1.1
* google-gson:2.8.0
* httpclient:4.5.2
* httpcore:4.4.6
* hsqldb:2.3.4
* javassist:3.21.0-GA
* jedis:2.9.0
* JUnitParams:1.0.6
* mockrunner:1.1.2
* mortbay-jetty-servlet-api:2.5.20110712
* phantomjsdriver:1.3.0
* powermock-core:1.6.6
* powermock-module-junit4:1.6.6
* powermock-api-mockito:1.6.6
* selenium-api:3.0.1
* selenium-remote-driver:3.0.1
* selenium-support:3.0.1
* spymemcached:2.12.2
* system-rules:1.16.1
* tomcat-catalina:7.0.73 (tomcat7)
* tomcat-coyote:7.0.73 (tomcat7)
* tomcat-juli:7.0.73 (tomcat7)
* tomcat-catalina:8.5.9 (tomcat8)
* tomcat-coyote:8.5.9 (tomcat8)
* tomcat-juli:8.5.9 (tomcat8)


Diffs
-----

  geode-assembly/src/main/dist/LICENSE 601ba81005a11e4038eff5a19b61771b1ca9e121 
  geode-docs/managing/logging/configuring_log4j2.html.md.erb 06b5c56a79804596977d531312b63743c7ba0d30

  geode-site/website/content/docs/guide/10/managing/logging/configuring_log4j2.html b02422b104cfcea14a34522d35fcbe0e391d8db7

  gradle/dependency-versions.properties a0b291e55220e303b1608dbe5f3eb4cf3e510e4b 

Diff: https://reviews.apache.org/r/56520/diff/


Testing (updated)
-------

precheckin passed
uiTest passed


Thanks,

Kirk Lund


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message